﻿<Window x:Class="KPZ_Lab2.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:Convertors="clr-namespace:KPZ_Lab2.Convertors"
        mc:Ignorable="d"
        MinHeight="450" MinWidth="600"
        Title="MainWindow" Height="450" Width="800">

     <Window.Resources>
          <Convertors:ImagePathConverter x:Key="my:ImagePathConverter"></Convertors:ImagePathConverter>
          <Convertors:DishTypeToIntConverter x:Key="my:DishTypeToIntConverter"></Convertors:DishTypeToIntConverter>
          <Style x:Key="MarginLeftSmall">
               <Setter Property="Control.Margin" Value="10, 0, 0, 0"></Setter>
          </Style>
     </Window.Resources>
     <Grid>
          <Grid.RowDefinitions>
               <RowDefinition Height="68*"></RowDefinition>
               <RowDefinition Height="16*"></RowDefinition>
               <RowDefinition Height="16*"></RowDefinition>
          </Grid.RowDefinitions>
          <DataGrid AutoGenerateColumns="False" HorizontalAlignment="Stretch" Height="Auto" VerticalAlignment="Stretch" Width="Auto" ItemsSource="{Binding Dishes}" Name="dataGridDishList" SelectedItem="{Binding SelectedDish}">
               <DataGrid.Columns>
                    <DataGridTextColumn Width="0.5*" Header="Name" Binding="{Binding Name, Mode=TwoWay}" />
                    <DataGridTextColumn Width="0.25*" Header="Price" Binding="{Binding Price, Mode=TwoWay}" />
                    <DataGridTextColumn Width="0.25*" Header="Weight" Binding="{Binding Weight, Mode=TwoWay}" />

                    <DataGridTemplateColumn Width="0.1*" Header="Type">
                         <DataGridTemplateColumn.CellTemplate>
                              <DataTemplate>
                                   <Image Width="16" Height="48"  Source="{Binding Type, Converter={StaticResource my:ImagePathConverter}}"></Image>
                              </DataTemplate>
                         </DataGridTemplateColumn.CellTemplate>
                    </DataGridTemplateColumn>
               </DataGrid.Columns>
          </DataGrid>

          <StackPanel Orientation="Horizontal" Grid.Row="1" DataContext="{Binding SelectedDish}">
               <Grid Style="{StaticResource MarginLeftSmall}">
               <Grid.RowDefinitions>
                    <RowDefinition></RowDefinition>
                    <RowDefinition></RowDefinition>
               </Grid.RowDefinitions>
          <Label Content="Name" HorizontalAlignment="Left" Margin="0" VerticalAlignment="Top" Grid.Row="0" Width="120" Height="32"/>
                    <TextBox HorizontalAlignment="Left" Margin="0" TextWrapping="Wrap" Text="{Binding Name, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" Width="120" Height="18" Grid.Row="1" />
          </Grid>
               <Grid Style="{StaticResource MarginLeftSmall}">
                    <Grid.RowDefinitions>
                         <RowDefinition></RowDefinition>
                         <RowDefinition></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="Price" HorizontalAlignment="Left" Margin="0" VerticalAlignment="Top" Grid.Row="0" Width="120" Height="32"/>
                    <TextBox HorizontalAlignment="Left" Margin="0" TextWrapping="Wrap" Text="{Binding Price, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" Width="120" Height="18" Grid.Row="1"/>
          </Grid>
               <Grid Style="{StaticResource MarginLeftSmall}">
                    <Grid.RowDefinitions>
                         <RowDefinition></RowDefinition>
                         <RowDefinition></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="Weight" HorizontalAlignment="Left" Margin="0" VerticalAlignment="Top" Grid.Row="0" Width="120" Height="32"/>
                    <TextBox HorizontalAlignment="Left" Margin="0" TextWrapping="Wrap" Text="{Binding Weight, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" Width="120" Height="18" Grid.Row="1"/>
          </Grid>
               <Grid Style="{StaticResource MarginLeftSmall}">
                    <Grid.RowDefinitions>
                         <RowDefinition></RowDefinition>
                         <RowDefinition></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="Type" HorizontalAlignment="Left" Margin="0" VerticalAlignment="Top" Grid.Row="0" Width="120" Height="32"/>

                    <ComboBox HorizontalAlignment="Left" Margin="0" VerticalAlignment="Top" Width="120" Height="25" Grid.Row="1" SelectedIndex="{Binding Type, Converter={StaticResource my:DishTypeToIntConverter}, UpdateSourceTrigger=PropertyChanged}">
                         <ComboBoxItem x:Name="Drink" Content="Drink">
                         </ComboBoxItem>
                         <ComboBoxItem x:Name="Meat" Content="Meat">
                         </ComboBoxItem>
                         <ComboBoxItem x:Name="Fish" Content="Fish">
                         </ComboBoxItem>
                         <ComboBoxItem x:Name="Salad" Content="Salad">
                         </ComboBoxItem>
                         <ComboBoxItem x:Name="Undefined" Content="Undefined">
                         </ComboBoxItem>
               </ComboBox>
          </Grid>
          </StackPanel>
          <StackPanel Orientation="Horizontal" Grid.Row="2">
               <Button Content="Add" HorizontalAlignment="Left" VerticalAlignment="Center" Height="50" Width="120" Style="{StaticResource BtnAction}" Command="{ Binding AddDishCommand}" CommandParameter="{Binding SelectedDish}"/>
               <Button Content="Delete" HorizontalAlignment="Left" VerticalAlignment="Center" Height="50" Width="120" Style="{StaticResource BtnAction}" Command="{ Binding RemoveDishCommand}" CommandParameter="{Binding SelectedDish}"/>
          </StackPanel>
     </Grid>
</Window>
